package com.bjtdba.order.dao;

import com.bjtdba.order.vo.OrderList;
import com.bjtdba.order.vo.OrderUserNameList;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
@Mapper
public interface StoreOrderDao {

    public  List<OrderList> selectOrederList(String uid, String mer_id, String status);
    public List<OrderList> selectOrederListNew(String uid, String mer_id, String status);

    public int selectNumber(String mer_id, int[] statusList);

    public Double selectPayPriceSum(String mer_id, int[] statusList);

    public OrderList selectOrderDetails(String order_sn);

    public OrderList selectOrderDetailsNew(String order_sn);

    public Map<String, String> onLineOrdeSun(String mer_id, String start_time, String end_time);

    public List<OrderUserNameList> queryStroeOrderUser(int merId);

    public String selectOrderCount(String mer_id);

    public Integer seckillOrderCounut(String productId,Long uid);

    public Integer getOncePayCount(Long productId);

    public Integer getAllePayCount(Long productId);

}
